// src/index.ts
import { createSignal, onCleanup } from "solid-js";
var createPermission = (name) => {
  const [permission, setPermission] = createSignal("unknown");
  if (navigator) {
    navigator.permissions.query(typeof name === "string" ? { name } : name).then((status) => {
      setPermission(status.state);
      const listener = () => setPermission(status.state);
      status.addEventListener("change", listener);
      onCleanup(() => status.removeEventListener("change", listener));
    });
  }
  return permission;
};
export {
  createPermission
};
